    import LineItemRuleService from 'pvbid-sdk/src/domain/services/LineItemRuleService.js'

public class | source

# LineItemRuleService

## Method Summary

Public Methods
public | isIncluded(lineItem: *): boolean |
public | isWeighted(lineItem: BidEntity): boolean Determine if the line item should be weighted by examining the rules A line item will be weighted if predictive pricing is enabled AND a rule dependency is not defined |

## Public Methods

### public isIncluded(lineItem: *): boolean source

#### Params:

Name | Type | Attribute | Description
lineItem | * |  |

#### Return:

boolean

### public isWeighted(lineItem: BidEntity): boolean source

Determine if the line item should be weighted by examining the rules A line item will be weighted if predictive pricing is enabled AND a rule dependency is not defined

#### Params:

Name | Type | Attribute | Description
lineItem | BidEntity |  |

#### Return:

boolean